Bug 99360 - Advanced filter dialog being modal, it is impossible to select filter criteria with the mouse
Summary: Advanced filter dialog being modal, it is impossible to select filter criteri...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.3.0 target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-04-17 08:53 UTC by Jean-Baptiste Faure
Modified: 2016-10-25 18:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2016-04-17 08:53:17 UTC
Steps to reproduce:
1/ open https://bugs.documentfoundation.org/attachment.cgi?id=70418
2/ as explained in the file, select B2:B10 range
3/ Menu Data > More Filters > Advanced Filter...
4/ try to select H2:H3 as range from which to read filter criteria

Version used: Version: 5.2.0.0.alpha0+
Build ID: 7fbeba2c4c1094204b5db7320dad8f667e291c01
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Ubuntu_15.10_x86-64
Locale: fr-FR (fr_FR.UTF-8)

built this morning at home.

It works in LO 5.1.3.0.0+, so regression.

Best regards. JBF
Comment 1 raal 2016-04-17 12:02:57 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: 0f27cc992a99568e46ffe807ef9dbb5ba0bc601f
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-12_23:40:16
Comment 2 raal 2016-04-18 08:44:08 UTC
This seems to have begun at the below commit.
Adding Cc: to Jaskaran ; Could you possibly take a look at this one? Thanks

fea34ecd670d3cbefef0b15249655b9b46c485a1 is the first bad commit
commit fea34ecd670d3cbefef0b15249655b9b46c485a1
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Mar 9 06:02:56 2016 -0800

    source sha:6610ad9aee0c8299880cd1da6cd6a756860ccad9
	
	author	Jaskaran <jvsg1303@gmail.com>	2016-03-02 02:21:40 (GMT)
committer	Michael Meeks <michael.meeks@collabora.com>	2016-03-04 09:43:01 (GMT)
commit	6610ad9aee0c8299880cd1da6cd6a756860ccad9 (patch)
tree	12cbc1521cf8487c54e8bd2d4bbc230f7f23cc4b
parent	3aafe0568be80120afcdd92ea491b55d66bcbac6 (diff)
tdf#93889 Remove a busy loop
Comment 3 Commit Notification 2016-04-21 15:42:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db279db13286653bff269f8ae7471b22498be319

Resolves: tdf#99360 can't select filter criteria with mouse

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2016-04-21 15:43:42 UTC
Seems to work now
Comment 5 raal 2016-04-22 05:30:28 UTC
Tested with fresh home built build and still not working for me. JBF, could you test? Thanks
Comment 6 Jean-Baptiste Faure 2016-04-26 04:23:18 UTC
Not working for me to with current master (Version: 5.2.0.0.alpha1+
Build ID: a68a285076fed9dc055bd9eae48cabd800632563) built at home under Ubuntu 15.10 x86-64.

Sorry, need to reopen.

Best regards. JBF
Comment 7 Commit Notification 2016-07-19 00:19:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=181a1a3b2df7ca427802c1c17f3344a869c91444

Revert "Resolves: tdf#99360 can't select filter criteria with mouse"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-07-19 00:19:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62442d9066ea553a4b68b8a93fa54748cbe96e06

Resolves: tdf#99360 Revert "tdf#93889 Remove a busy loop"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2016-07-19 00:35:24 UTC
Pending review
https://gerrit.libreoffice.org/27308 for 5-2
https://gerrit.libreoffice.org/27309 for 5-2-0
Comment 10 Jean-Baptiste Faure 2016-07-19 06:57:56 UTC
Thank you very much, verified fixed in Version: 5.3.0.0.alpha0+
Build ID: 62442d9066ea553a4b68b8a93fa54748cbe96e06
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 11 Commit Notification 2016-07-19 07:13:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fceea0ff4cfbacd552e8ac949f7db25d0e91493a&h=libreoffice-5-2

Resolves: tdf#99360 Revert "tdf#93889 Remove a busy loop"

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-07-19 18:54:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebddfbaeb71383ae94ff491da0b307c86c35e447&h=libreoffice-5-2-0

Resolves: tdf#99360 Revert "tdf#93889 Remove a busy loop"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.